Role Definitions - Get
Szerepkördefiníció lekérése név (GUID) alapján.
GET https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitions/{roleDefinitionId}?api-version=2022-04-01
URI paraméterek
| Név | Ban | Szükséges | Típus | Leírás |
|---|---|---|---|---|
|
role
|
path | True |
string |
A szerepkördefiníció azonosítója. |
|
scope
|
path | True |
string |
A szerepkördefiníció hatóköre. |
|
api-version
|
query | True |
string minLength: 1 |
A művelethez használni kívánt API-verzió. |
Válaszok
| Név | Típus | Leírás |
|---|---|---|
| 200 OK |
OK – A szerepkördefinícióval kapcsolatos információkat adja vissza. |
|
| Other Status Codes |
Hibaválasz, amely leírja, hogy miért nem sikerült a művelet. |
Biztonság
azure_auth
Azure Active Directory OAuth2-folyamat
Típus:
oauth2
Flow:
implicit
Engedélyezési URL:
https://login.microsoftonline.com/common/oauth2/authorize
Hatókörök
| Név | Leírás |
|---|---|
| user_impersonation | a felhasználói fiók megszemélyesítése |
Példák
Get role definition by name
Mintakérés
GET https://management.azure.com/scope/providers/Microsoft.Authorization/roleDefinitions/roleDefinitionId?api-version=2022-04-01
Mintaválasz
{
"properties": {
"roleName": "Role name",
"type": "roletype",
"description": "Role description",
"assignableScopes": [
"/subscriptions/subId"
],
"permissions": [
{
"actions": [
"action"
],
"notActions": [],
"dataActions": [
"dataAction"
],
"notDataActions": []
}
]
},
"id": "/subscriptions/subID/providers/Microsoft.Authorization/roleDefinitions/roleDefinitionId",
"type": "Microsoft.Authorization/roleDefinitions",
"name": "roleDefinitionId"
}
Meghatározások
| Név | Leírás |
|---|---|
|
Error |
Az erőforrás-kezelési hiba további információi. |
|
Error |
A hiba részletei. |
|
Error |
Hibaválasz |
| Permission |
Szerepkördefiníciós engedélyek. |
|
Role |
Szerepkördefiníció. |
ErrorAdditionalInfo
Az erőforrás-kezelési hiba további információi.
| Név | Típus | Leírás |
|---|---|---|
| info |
object |
A további információk. |
| type |
string |
A további információtípus. |
ErrorDetail
A hiba részletei.
| Név | Típus | Leírás |
|---|---|---|
| additionalInfo |
A hiba további információi. |
|
| code |
string |
A hibakód. |
| details |
A hiba részletei. |
|
| message |
string |
A hibaüzenet. |
| target |
string |
A hibacél. |
ErrorResponse
Hibaválasz
| Név | Típus | Leírás |
|---|---|---|
| error |
A hibaobjektum. |
Permission
Szerepkördefiníciós engedélyek.
| Név | Típus | Leírás |
|---|---|---|
| actions |
string[] |
Engedélyezett műveletek. |
| dataActions |
string[] |
Engedélyezett adatműveletek. |
| notActions |
string[] |
Megtagadott műveletek. |
| notDataActions |
string[] |
Megtagadott adatműveletek. |
RoleDefinition
Szerepkördefiníció.
| Név | Típus | Leírás |
|---|---|---|
| id |
string |
A szerepkördefiníció azonosítója. |
| name |
string |
A szerepkördefiníció neve. |
| properties.assignableScopes |
string[] |
Szerepkördefinícióhoz hozzárendelhető hatókörök. |
| properties.createdBy |
string |
A feladatot létrehozó felhasználó azonosítója |
| properties.createdOn |
string (date-time) |
Létrehozás időpontja |
| properties.description |
string |
A szerepkördefiníció leírása. |
| properties.permissions |
Szerepkördefiníciós engedélyek. |
|
| properties.roleName |
string |
A szerepkör neve. |
| properties.type |
string |
A szerepkör típusa. |
| properties.updatedBy |
string |
A hozzárendelést frissített felhasználó azonosítója |
| properties.updatedOn |
string (date-time) |
A frissítés időpontja |
| type |
string |
A szerepkördefiníció típusa. |